// This file comes with NO WARRANY and NO SUPPORT. You use it
// at your own risk.
// This is a Scilab files used to compute the examples of the paper
// "Une mthode d'identification
//  pour un systme linaire  retards"
// "A method of identification for a linear delays system".
// AUTHORS:
// Franois Ollivier
// ALIEN, INRIA-Futurs & LIX, E'cole Polytechnique
// F-91128 Palaiseau CEDEX FRANCE
// francois.ollivier@lix.polytechnique.fr
// Sad Moutaouakil
// Brahim Sadik
// Dpartement de Mathmatiques 
// Facult des Sciences Semlalia B.P. 2390,
// Avenue Safi, Marrakech, Maroc
// s.moutaouakil@ucam.ac.ma   sadik@ucam.ac.ma
////////////////////////////////////////////////////////////////////
// A detailed version of the paper may be found at url
// http://www.lix.polytechnique.fr/~ollivier/indexEngl.html
////////////////////////////////////////////////////////////////////
// This file may be used with scilab 2.0 and 3.0
// Computation times are much longer with scilab 4.0 and the results sometimes strange...
// Scilab is available at url http://www.scilab.org/
////////////////////////////////////////////////////////////////////
// This file corresponds to Example 2 Table 0
////////////////////////////////////////////////////////////////////

//Example of use the identification function delayIdentificationOrder2
//Loads the definition of main function
exec("example2A.sci");
//Builds an exemple of output
exec("example2B.sci");

//TDEBUT Time at the begining of output file
//TFIN   Time at the end of output file
//pas = 1/Freq: saving step here 0.002
//Sortie: the output (Here Output)
//Commande: the control (Here Control)
//T11 is T1 for i=0. Should be >= TDEBUT+R. (Here 10)
//T2m is T2 for i=m. Should be <= TFIN. (Here 115)
//T (here 15) Should be (much) >>  |R-R0| !
//m number of integrals used (here 9.)
//R0 approximation of the delay
//iter Number of iterations to be done with new R0 taken as the last 
//approximation computed. 


delayIdentificationOrder2(TDEBUT,TFIN,pas,Output,Control,10.,115.,15.,9,0.,50) 

//Result will be something like :
//!   1.2274926    0.3561146    2.0487358    4.0070731 !
//    a0           a1           b            R 
//(The noise is made with a random function, so the result will change
//deepending of it.)